from __future__ import annotations

from pydantic import BaseModel


class SignatureToken(BaseModel):
    token: str
    name: str
    creator_id: int
    organization_id: int
    access_key: str
    access_secret: str
    created_at: str
    updated_at: str
    expires_at: str
    authentication_for: str
    authorization_type: str
